/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20161210-64(RM)
 * Copyright (c) 2000 - 2016 Intel Corporation
 * 
 * Disassembling to non-symbolic legacy ASL operators
 *
 * Disassembly of SSDT-19.aml, Mon Jun 12 00:16:56 2017
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x0000013F (319)
 *     Revision         0x02
 *     Checksum         0xA2
 *     OEM ID           "KBD"
 *     OEM Table ID     "Keyboard"
 *     OEM Revision     0x00000000 (0)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20161210 (538317328)
 */
DefinitionBlock ("", "SSDT", 2, "KBD", "Keyboard", 0x00000000)
{
    External (_SB_.PCI0.LPCB.EC__, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.KBD_, DeviceObj)    // (from opcode)
    External (KBD_, UnknownObj)    // (from opcode)

    Scope (_SB.PCI0.LPCB.EC)
    {
        Method (_Q1C, 0, NotSerialized)  // _Qxx: EC Query
        {
            Notify (KBD, 0x0406)
            Notify (KBD, 0x0486)
        }

        Method (_Q1D, 0, NotSerialized)  // _Qxx: EC Query
        {
            Notify (KBD, 0x0405)
            Notify (KBD, 0x0485)
        }

        Method (_Q28, 0, NotSerialized)  // _Qxx: EC Query
        {
            Notify (KBD, 0x0368)
            Notify (KBD, 0x03E8)
        }

        Method (_Q19, 0, NotSerialized)  // _Qxx: EC Query
        {
            Notify (KBD, 0x046E)
            Notify (KBD, 0x04EE)
        }

        Method (_Q2A, 0, NotSerialized)  // _Qxx: EC Query
        {
            Notify (KBD, 0x0369)
            Notify (KBD, 0x03E9)
        }

        Method (_Q66, 0, NotSerialized)  // _Qxx: EC Query
        {
            Notify (KBD, 0x0364)
            Notify (KBD, 0x03E4)
        }

        Method (_Q67, 0, NotSerialized)  // _Qxx: EC Query
        {
            Notify (KBD, 0x036A)
            Notify (KBD, 0x03EA)
        }

        Method (_Q68, 0, NotSerialized)  // _Qxx: EC Query
        {
            Notify (KBD, 0x036B)
            Notify (KBD, 0x03EB)
        }

        Method (_Q69, 0, NotSerialized)  // _Qxx: EC Query
        {
            Notify (KBD, 0x0367)
            Notify (KBD, 0x03E7)
        }
    }
}

